Suppliers
List Suppliers
Get a list of suppliers with pagination
GET
Get a list of suppliers with pagination
AuthorizationBasic <token>
Basic API key authentication. Create a new API key and secret in the Recommand dashboard.
In: header
Query Parameters
page?number
The page number to retrieve
Range
1 <= valueDefault
1Example
1limit?number
The number of items per page
Range
1 <= value <= 100Default
10Example
10search?string
Search term to filter suppliers
Example
"supplier name"Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/suppliers"{ "success": true, "suppliers": [ { "id": "string", "teamId": "string", "externalId": "string", "name": "string", "vatNumber": "string", "peppolAddresses": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "labels": [ { "colorHex": "#3B82F6", "externalId": "erp-routing-inbox", "id": "lbl_01JQZ8X0M4T7RB6K9V2NDHW3PA", "name": "ERP" } ] } ], "pagination": { "limit": 0, "page": 0, "total": 0, "totalPages": 0 }}